import std.stdio;
import std.getopt;
import std.typecons;
import gamesdb;
import isotoserial;

int main(string[] argv) {
	Unique!GamesDB db = new GamesDB;

	if (argv.length != 2) {
		stderr.writeln("Usage: psp2name <path_to_psp_iso>");
		return 2;
	}

	string serial = iso_to_serial(argv[1]);
	writeln(db.find_by_serial(serial));
	return 0;
}
