/* @(#)scsi.h	1.4 16/11/14 Copyright 1997-2016 J. Schilling */
/*
 *	Copyright (c) 1997-2016 J. Schilling
 */
/*@@C@@*/

#ifndef	_SCSI_H
#define	_SCSI_H

/*
 * Implemented inside multi.c in case that USE_SCG has not been defined.
 */
struct scsi_dev;

extern int	readsecs	__PR((struct scsi_dev* src, UInt32_t startsecno, void *buffer, int sectorcount));
extern BOOL scsidev_has_error __PR((struct scsi_dev *dev));
extern int scsidev_error_code __PR((struct scsi_dev *dev));
extern const char* scsidev_error_desc __PR((int code));

#ifdef	USE_SCG
extern struct scsi_dev* scsidev_open __PR((char *path));
extern struct scsi_dev* scsidev_file_open __PR((const char *path));
extern int scsidev_close __PR((struct scsi_dev *f));
#endif

#endif	/* _SCSI_H */
